: Class Frame

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.Base
Class Frame

    java.lang.Object
      |
      +--com.mortbay.Base.Frame

public class Frame
extends java.lang.Object

Access the current execution frame

Field Summary
`int` | `_depth` The stack depth where the Frame was created (main is 1)
`java.lang.String` | `_file` The file and linenumber of where the Frame was created.
`java.lang.String` | `_method` The Method (including the "(file.java:99)") the Frame was created in
`java.lang.String` | `_stack` The full stack of where the Frame was created.
`java.lang.String` | `_thread` Name of the Thread the Frame was created in

Constructor Summary
`` | `Frame()` Construct a frame
`` | `Frame(int ignoreFrames)` Construct a frame
`protected` | `Frame(java.lang.String stack, int ignoreFrames, boolean partial)` Internal only Constructor.

Method Summary
`java.lang.String` | `file()`
`Frame` | `getParent()` Get a Frame representing the function one level up in this frame
`protected void` | `internalInit(int ignoreFrames, boolean partial)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _stack

    public java.lang.String _stack

  The full stack of where the Frame was created.

### _method

    public java.lang.String _method

  The Method (including the "(file.java:99)") the Frame was created in

### _depth

    public int _depth

  The stack depth where the Frame was created (main is 1)

### _thread

    public java.lang.String _thread

  Name of the Thread the Frame was created in

### _file

    public java.lang.String _file

  The file and linenumber of where the Frame was created.

Constructor Detail

### Frame

    public Frame()

  Construct a frame

### Frame

    public Frame(int ignoreFrames)

  Construct a frame
  Parameters:
    `ignoreFrames` - number of levels of stack to ignore

### Frame

    protected Frame(java.lang.String stack,
                    int ignoreFrames,
                    boolean partial)

  Internal only Constructor.

Method Detail

### internalInit

    protected void internalInit(int ignoreFrames,
                                boolean partial)

### file

    public java.lang.String file()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### getParent

    public Frame getParent()

  Get a Frame representing the function one level up in this frame
  Returns:
    parent frame or null if none

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD